irb_rocketがRuby-1.9.1で動かないよ、というコメントを頂いたので、 ruby-terminfoをRuby-1.9.1対応にしてみました。

これでirb_rocketをRuby-1.9.1で使う事が出来ます。

   1  % sudo gem install irb_rocket --source http://merbi.st

posted by Png genki on Fri 13 Feb 2009 at 16:20

@maiha さんがRuby-1.9.1でMongrelをインストールできるようにしてくれました。 修正したバージョンは、以下のコマンドでインストール出来ます。

   1  % sudo gem install mongrel --source http://merbi.st

不要になったと思われるfastthread関係のgemへの依存を切っています。

それにしても、Mongrelってメンテナンスされてるのかな。 結構メンテナンスされてるのかどうなのかわからないGemがあって悩みどころですね。

posted by Png genki on Fri 13 Feb 2009 at 10:09

RubyGemsをインストールする時に、--source オプションによってgemリポジトリを指定する事が出来ますが、 これを指定した場合、そのGemが依存するGemも同じsourceから取ってこようとするため、 依存するGem一式を全てそのgemリポジトリ上に用意する必要があります。

これはなかなか大変なので、--source指定した場合には、 指定した場所に無い場合、システムに設定されているデフォルトのgemリポジトリに探しにいってくれるとありがたいですね。

posted by Png genki on Fri 13 Feb 2009 at 09:25

iPhone開発者座談会

出席いただいた皆様、ありがとうございました。 皆様の今後の開発の一助となれば幸いです。 当日高橋さんが紹介してくれた資料の一部を置いておきます。

http://www.slideshare.net/takiuchi/devsami09-takiuchi

座談会の内容とは関係ないですが、 控え室からステージに移動するまでの経路が、もろに厨房の中を通過する感じだったのが面白かったです。

posted by Png genki on Fri 13 Feb 2009 at 09:17
Contents
ruby-terminfoを勝手に1.9.1対応
Ruby-1.9.1でMongrelをインストール
sourceを指定してGemをインストールする場合の問題点
デブサミ2009のiPhone開発者座談会で話してきました
Comments
dsjf: https://gist.github.com/6bf1bf2c3cbb5eb6e7a7 これ... '13-1
瀧内元気: おお、チェックしてみます。thx! '11-12
overisland: Reeder for iPhone もこの UI を実装していますね。 '11-12
瀧内元気: その情報は見たのですが、以下のサイトによると、現在はまた必要になってるっぽいんですよね。 ... '11-12
tkawa: http://devcenter.heroku.com/articles/rails31_he... '11-12
Services from s21g
twpro(ツイプロ)
Twitterプロフィールを快適検索
地価2009
土地の値段を調べてみよう
MyRestaurant
自分だけのレストラン手帳
Formula
ブログに数式を埋め込める数式コミュニティ